Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.binding.soap
Interface SOAPOperation

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, java.io.Serializable, javax.wsdl.extensions.soap.SOAPOperation, WSDLElement

    public interface SOAPOperation

extends ExtensibilityElement, javax.wsdl.extensions.soap.SOAPOperation

A representation of the model object 'Operation'.

The following features are supported:

- `Soap Action URI`
- `Style`

See Also:
  `SOAPPackage.getSOAPOperation()`

Method Summary
`java.lang.String` | `getSoapActionURI()` Returns the value of the 'Soap Action URI' attribute
`java.lang.String` | `getStyle()` Returns the value of the 'Style' attribute
`void` | `setSoapActionURI(java.lang.String value)` Sets the value of the '`Soap Action URI`' attribute
`void` | `setStyle(java.lang.String value)` Sets the value of the '`Style`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibilityElement
`getElementType, isRequired, setElementType, setRequired`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Method Detail

### getSoapActionURI

    java.lang.String getSoapActionURI()

  Returns the value of the 'Soap Action URI' attribute.

  If the meaning of the 'Soap Action URI' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getSoapActionURI` in interface `javax.wsdl.extensions.soap.SOAPOperation`
  Returns:
    the value of the 'Soap Action URI' attribute.
  See Also:
    `setSoapActionURI(String)`, `SOAPPackage.getSOAPOperation_SoapActionURI()`

### setSoapActionURI

    void setSoapActionURI(java.lang.String value)

  Sets the value of the '`Soap Action URI`' attribute.

  Specified by:
    `setSoapActionURI` in interface `javax.wsdl.extensions.soap.SOAPOperation`
  Parameters:
    `value` - the new value of the 'Soap Action URI' attribute.
  See Also:
    `getSoapActionURI()`

### getStyle

    java.lang.String getStyle()

  Returns the value of the 'Style' attribute.

  If the meaning of the 'Style' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getStyle` in interface `javax.wsdl.extensions.soap.SOAPOperation`
  Returns:
    the value of the 'Style' attribute.
  See Also:
    `setStyle(String)`, `SOAPPackage.getSOAPOperation_Style()`

### setStyle

    void setStyle(java.lang.String value)

  Sets the value of the '`Style`' attribute.

  Specified by:
    `setStyle` in interface `javax.wsdl.extensions.soap.SOAPOperation`
  Parameters:
    `value` - the new value of the 'Style' attribute.
  See Also:
    `getStyle()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD